org.apache.tomcat.websocket

## Class WsFrameClient

- java.lang.Object
- - org.apache.tomcat.websocket.WsFrameBase
  - - org.apache.tomcat.websocket.WsFrameClient

    public class WsFrameClient
    extends WsFrameBase

### Field Summary

### Fields inherited from class org.apache.tomcat.websocket.WsFrameBase

`inputBuffer, writePos, wsSession`

### Constructor Summary

Constructors
Constructor and Description
`WsFrameClient(ByteBuffer response, AsyncChannelWrapper channel, WsSession wsSession)`

### Method Summary

Methods
`protected boolean` `isMasked()`

### Methods inherited from class org.apache.tomcat.websocket.WsFrameBase

`byteArrayToLong, isOpen, processInputBuffer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WsFrameClient

    public WsFrameClient(ByteBuffer response,
                 AsyncChannelWrapper channel,
                 WsSession wsSession)

### Method Detail

#### isMasked

    protected boolean isMasked()

Specified by:
  `isMasked` in class `WsFrameBase`